org.richfaces.fragment.log

## Class RichFacesLog.RichFacesLogEntry

- java.lang.Object
- - org.richfaces.fragment.list.RichFacesListItem
  - - org.richfaces.fragment.log.RichFacesLog.RichFacesLogEntry

- All Implemented Interfaces:
    ListItem, LogEntry
  Enclosing class:
    RichFacesLog

      public static class RichFacesLog.RichFacesLogEntry
      extends RichFacesListItem
      implements LogEntry

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesLog.RichFacesLogEntry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContent()` Return the content of this log entry.
    `protected org.openqa.selenium.WebElement` | `getLabelElement()`
    `Log.LogEntryLevel` | `getLevel()` Return the level of this log entry.
    `protected org.openqa.selenium.WebElement` | `getMessageElement()`
    `org.joda.time.DateTime` | `getTimeStamp()` Returns the DateTime of this log entry.

    - ### Methods inherited from class org.richfaces.fragment.list.RichFacesListItem

      `getRootElement, getText, isVisible, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.list.ListItem

      `getRootElement, getText`

- - ### Constructor Detail

    - #### RichFacesLog.RichFacesLogEntry

          public RichFacesLog.RichFacesLogEntry()

  - ### Method Detail

    - #### getContent

          public String getContent()

      Description copied from interface: `LogEntry`
      Return the content of this log entry.
      Specified by:
        `getContent` in interface `LogEntry`

    - #### getLevel

          public Log.LogEntryLevel getLevel()

      Description copied from interface: `LogEntry`
      Return the level of this log entry.
      Specified by:
        `getLevel` in interface `LogEntry`
      See Also:
        `Log.LogEntryLevel`

    - #### getTimeStamp

          public org.joda.time.DateTime getTimeStamp()

      Description copied from interface: `LogEntry`
      Returns the DateTime of this log entry.
      Specified by:
        `getTimeStamp` in interface `LogEntry`

    - #### getLabelElement

          protected org.openqa.selenium.WebElement getLabelElement()

      Returns:
        the labelElement

    - #### getMessageElement

          protected org.openqa.selenium.WebElement getMessageElement()

      Returns:
        the messageElement

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.